Open CASCADE Technology: HLRTopoBRep_Data Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRTopoBRep_Data Class Reference

Stores the results of the OutLine and IsoLine processes. More...

`#include <HLRTopoBRep_Data.hxx>`

## Public Member Functions
| HLRTopoBRep_Data ()
void | Clear ()
| Clear of all the maps. More...
void | Clean ()
| Clear of all the data not needed during and after the hiding process. More...
Standard_Boolean | EdgeHasSplE (const TopoDS_Edge &E) const
| Returns True if the Edge is split. More...
Standard_Boolean | FaceHasIntL (const TopoDS_Face &F) const
| Returns True if the Face has internal outline. More...
Standard_Boolean | FaceHasOutL (const TopoDS_Face &F) const
| Returns True if the Face has outlines on restriction. More...
Standard_Boolean | FaceHasIsoL (const TopoDS_Face &F) const
| Returns True if the Face has isolines. More...
Standard_Boolean | IsSplEEdgeEdge (const TopoDS_Edge &E1, const TopoDS_Edge &E2) const
Standard_Boolean | IsIntLFaceEdge (const TopoDS_Face &F, const TopoDS_Edge &E) const
Standard_Boolean | IsOutLFaceEdge (const TopoDS_Face &F, const TopoDS_Edge &E) const
Standard_Boolean | IsIsoLFaceEdge (const TopoDS_Face &F, const TopoDS_Edge &E) const
TopoDS_Shape | NewSOldS (const TopoDS_Shape &New) const
const TopTools_ListOfShape & | EdgeSplE (const TopoDS_Edge &E) const
| Returns the list of the edges. More...
const TopTools_ListOfShape & | FaceIntL (const TopoDS_Face &F) const
| Returns the list of the internal OutLines. More...
const TopTools_ListOfShape & | FaceOutL (const TopoDS_Face &F) const
| Returns the list of the OutLines on restriction. More...
const TopTools_ListOfShape & | FaceIsoL (const TopoDS_Face &F) const
| Returns the list of the IsoLines. More...
Standard_Boolean | IsOutV (const TopoDS_Vertex &V) const
| Returns True if V is an outline vertex on a restriction. More...
Standard_Boolean | IsIntV (const TopoDS_Vertex &V) const
| Returns True if V is an internal outline vertex. More...
void | AddOldS (const TopoDS_Shape &NewS, const TopoDS_Shape &OldS)
TopTools_ListOfShape & | AddSplE (const TopoDS_Edge &E)
TopTools_ListOfShape & | AddIntL (const TopoDS_Face &F)
TopTools_ListOfShape & | AddOutL (const TopoDS_Face &F)
TopTools_ListOfShape & | AddIsoL (const TopoDS_Face &F)
void | AddOutV (const TopoDS_Vertex &V)
void | AddIntV (const TopoDS_Vertex &V)
void | InitEdge ()
Standard_Boolean | MoreEdge () const
void | NextEdge ()
const TopoDS_Edge & | Edge () const
void | InitVertex (const TopoDS_Edge &E)
| Start an iteration on the vertices of E. More...
Standard_Boolean | MoreVertex () const
void | NextVertex ()
const TopoDS_Vertex & | Vertex () const
Standard_Real | Parameter () const
void | InsertBefore (const TopoDS_Vertex &V, const Standard_Real P)
| Insert before the current position. More...
void | Append (const TopoDS_Vertex &V, const Standard_Real P)

## Detailed Description

Stores the results of the OutLine and IsoLine processes.

## Constructor & Destructor Documentation

HLRTopoBRep_Data::HLRTopoBRep_Data | ( |  | ) |

## Member Function Documentation

TopTools_ListOfShape& HLRTopoBRep_Data::AddIntL | ( | const TopoDS_Face & | F | ) |

void HLRTopoBRep_Data::AddIntV | ( | const TopoDS_Vertex & | V | ) |

TopTools_ListOfShape& HLRTopoBRep_Data::AddIsoL | ( | const TopoDS_Face & | F | ) |

void HLRTopoBRep_Data::AddOldS | ( | const TopoDS_Shape & | NewS,
|  | const TopoDS_Shape & | OldS
| ) |  |

TopTools_ListOfShape& HLRTopoBRep_Data::AddOutL | ( | const TopoDS_Face & | F | ) |

void HLRTopoBRep_Data::AddOutV | ( | const TopoDS_Vertex & | V | ) |

TopTools_ListOfShape& HLRTopoBRep_Data::AddSplE | ( | const TopoDS_Edge & | E | ) |

void HLRTopoBRep_Data::Append | ( | const TopoDS_Vertex & | V,
|  | const Standard_Real | P
| ) |  |

void HLRTopoBRep_Data::Clean | ( |  | ) |

Clear of all the data not needed during and after the hiding process.

void HLRTopoBRep_Data::Clear | ( |  | ) |

Clear of all the maps.

const TopoDS_Edge& HLRTopoBRep_Data::Edge | ( |  | ) | const

Standard_Boolean HLRTopoBRep_Data::EdgeHasSplE | ( | const TopoDS_Edge & | E | ) | const

Returns True if the Edge is split.

const TopTools_ListOfShape& HLRTopoBRep_Data::EdgeSplE | ( | const TopoDS_Edge & | E | ) | const

Returns the list of the edges.

Standard_Boolean HLRTopoBRep_Data::FaceHasIntL | ( | const TopoDS_Face & | F | ) | const

Returns True if the Face has internal outline.

Standard_Boolean HLRTopoBRep_Data::FaceHasIsoL | ( | const TopoDS_Face & | F | ) | const

Returns True if the Face has isolines.

Standard_Boolean HLRTopoBRep_Data::FaceHasOutL | ( | const TopoDS_Face & | F | ) | const

Returns True if the Face has outlines on restriction.

const TopTools_ListOfShape& HLRTopoBRep_Data::FaceIntL | ( | const TopoDS_Face & | F | ) | const

Returns the list of the internal OutLines.

const TopTools_ListOfShape& HLRTopoBRep_Data::FaceIsoL | ( | const TopoDS_Face & | F | ) | const

Returns the list of the IsoLines.

const TopTools_ListOfShape& HLRTopoBRep_Data::FaceOutL | ( | const TopoDS_Face & | F | ) | const

Returns the list of the OutLines on restriction.

void HLRTopoBRep_Data::InitEdge | ( |  | ) |

void HLRTopoBRep_Data::InitVertex | ( | const TopoDS_Edge & | E | ) |

Start an iteration on the vertices of E.

void HLRTopoBRep_Data::InsertBefore | ( | const TopoDS_Vertex & | V,
|  | const Standard_Real | P
| ) |  |

Insert before the current position.

Standard_Boolean HLRTopoBRep_Data::IsIntLFaceEdge | ( | const TopoDS_Face & | F,
|  | const TopoDS_Edge & | E
| ) |  | const

Standard_Boolean HLRTopoBRep_Data::IsIntV | ( | const TopoDS_Vertex & | V | ) | const

Returns True if V is an internal outline vertex.

Standard_Boolean HLRTopoBRep_Data::IsIsoLFaceEdge | ( | const TopoDS_Face & | F,
|  | const TopoDS_Edge & | E
| ) |  | const

Standard_Boolean HLRTopoBRep_Data::IsOutLFaceEdge | ( | const TopoDS_Face & | F,
|  | const TopoDS_Edge & | E
| ) |  | const

Standard_Boolean HLRTopoBRep_Data::IsOutV | ( | const TopoDS_Vertex & | V | ) | const

Returns True if V is an outline vertex on a restriction.

Standard_Boolean HLRTopoBRep_Data::IsSplEEdgeEdge | ( | const TopoDS_Edge & | E1,
|  | const TopoDS_Edge & | E2
| ) |  | const

Standard_Boolean HLRTopoBRep_Data::MoreEdge | ( |  | ) | const

Standard_Boolean HLRTopoBRep_Data::MoreVertex | ( |  | ) | const

TopoDS_Shape HLRTopoBRep_Data::NewSOldS | ( | const TopoDS_Shape & | New | ) | const

void HLRTopoBRep_Data::NextEdge | ( |  | ) |

void HLRTopoBRep_Data::NextVertex | ( |  | ) |

Standard_Real HLRTopoBRep_Data::Parameter | ( |  | ) | const

const TopoDS_Vertex& HLRTopoBRep_Data::Vertex | ( |  | ) | const

The documentation for this class was generated from the following file:

- HLRTopoBRep_Data.hxx